Subject: libhdf5-openmpi-dev lacks /usr/bin/{h5pcc,h5pfc}
Package: libhdf5-openmpi-dev
Version: 1.8.4-patch1-2ubuntu4
Severity: normal

*** Please type your report below this line ***

None of the parallel HDF5 development packages, nor their prerequisite
packages, installs the expected compiler wrappers /usr/bin/h5pcc and
/usr/bin/h5pfc.  The h5pcc and h5pfc wrappers are, however, installed
when building parallel HDF5 from the source.  libhd5-openmpi-dev is one
such example but I believe the bug exists for all packages matching
libhdf5-*mpi*-dev.

If not fixed, users installing the parallel HDF5 development packages
cannot use them to compile source code without some error-prone
workarounds.

This problem is related to, but not fixed, by
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=629157.  In a similar
vein, one could add a package called "hdf5-helpers-mpi" containing
/usr/bin/h5pcc and /usr/bin/h5pfc and then have it be a mandatory prereq
for libhdf5-*mpi*-dev.

Another approach would be to have libhdf5-*mpi*-dev directly
install /usr/bin/h5pcc and /usr/bin/h5pfc.

Thanks for your time,
Rhys Ulerich

-- System Information:
Debian Release: wheezy/sid
 APT prefers oneiric-updates
 APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'),
(500, 'oneiric-proposed'), (500, 'oneiric'), (100,
'oneiric-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-13-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
(ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libhdf5-openmpi-dev depends on:
ii  libhdf5-openmpi- 1.8.4-patch1-2ubuntu4   Hierarchical Data Format 5 (HDF5)
ii  libjpeg62-dev    6b1-1ubuntu2            Development files for the IJG JPEG
ii  libopenmpi-dev   1.4.3-2.1ubuntu1        high performance message passing l
ii  zlib1g-dev       1:1.2.3.4.dfsg-3ubuntu3 compression library - development

libhdf5-openmpi-dev recommends no packages.

Versions of packages libhdf5-openmpi-dev suggests:
pn  libhdf5-doc                   <none>     (no description available)

-- no debconf information



_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to